# DO NOT DELETE: Beginning of Haskell dependencies
libraries/binary/dist-install/build/Data/Binary/Builder.o : libraries/binary/src/Data/Binary/Builder.hs
$(eval $(call hi-rule,libraries/binary/dist-install/build/Data/Binary/Builder.hi  : %hi: %o  libraries/binary/src/Data/Binary/Builder.hs))
libraries/binary/dist-install/build/Data/Binary/Builder.o : libraries/base/dist-install/build/Prelude.hi
libraries/binary/dist-install/build/Data/Binary/Builder.o : libraries/base/dist-install/build/Data/Int.hi
libraries/binary/dist-install/build/Data/Binary/Builder.o : libraries/base/dist-install/build/Data/Word.hi
libraries/binary/dist-install/build/Data/Binary/Builder.o : libraries/base/dist-install/build/Data/Monoid.hi
libraries/binary/dist-install/build/Data/Binary/Builder.o : libraries/bytestring/dist-install/build/Data/ByteString/Builder/Extra.hi
libraries/binary/dist-install/build/Data/Binary/Builder.o : libraries/bytestring/dist-install/build/Data/ByteString/Builder.hi
libraries/binary/dist-install/build/Data/Binary/Builder.o : libraries/bytestring/dist-install/build/Data/ByteString/Builder/Prim.hi
libraries/binary/dist-install/build/Data/Binary/Builder.o : libraries/bytestring/dist-install/build/Data/ByteString/Builder.hi
libraries/binary/dist-install/build/Data/Binary/Builder.o : libraries/bytestring/dist-install/build/Data/ByteString/Short.hi
libraries/binary/dist-install/build/Data/Binary/Builder.o : libraries/bytestring/dist-install/build/Data/ByteString/Lazy.hi
libraries/binary/dist-install/build/Data/Binary/Builder.o : libraries/bytestring/dist-install/build/Data/ByteString.hi
libraries/binary/dist-install/build/Data/Binary/FloatCast.o : libraries/binary/src/Data/Binary/FloatCast.hs
$(eval $(call hi-rule,libraries/binary/dist-install/build/Data/Binary/FloatCast.hi  : %hi: %o  libraries/binary/src/Data/Binary/FloatCast.hs))
libraries/binary/dist-install/build/Data/Binary/FloatCast.o : libraries/base/dist-install/build/Prelude.hi
libraries/binary/dist-install/build/Data/Binary/FloatCast.o : libraries/base/dist-install/build/GHC/ST.hi
libraries/binary/dist-install/build/Data/Binary/FloatCast.o : libraries/array/dist-install/build/Data/Array/Unsafe.hi
libraries/binary/dist-install/build/Data/Binary/FloatCast.o : libraries/array/dist-install/build/Data/Array/ST.hi
libraries/binary/dist-install/build/Data/Binary/FloatCast.o : libraries/base/dist-install/build/Data/Word.hi
libraries/binary/dist-install/build/Data/Binary/Internal.o : libraries/binary/src/Data/Binary/Internal.hs
$(eval $(call hi-rule,libraries/binary/dist-install/build/Data/Binary/Internal.hi  : %hi: %o  libraries/binary/src/Data/Binary/Internal.hs))
libraries/binary/dist-install/build/Data/Binary/Internal.o : libraries/base/dist-install/build/Prelude.hi
libraries/binary/dist-install/build/Data/Binary/Internal.o : libraries/bytestring/dist-install/build/Data/ByteString/Internal.hi
libraries/binary/dist-install/build/Data/Binary/Get/Internal.o : libraries/binary/src/Data/Binary/Get/Internal.hs
$(eval $(call hi-rule,libraries/binary/dist-install/build/Data/Binary/Get/Internal.hi  : %hi: %o  libraries/binary/src/Data/Binary/Get/Internal.hs))
libraries/binary/dist-install/build/Data/Binary/Get/Internal.o : libraries/base/dist-install/build/Prelude.hi
libraries/binary/dist-install/build/Data/Binary/Get/Internal.o : libraries/binary/dist-install/build/Data/Binary/Internal.hi
libraries/binary/dist-install/build/Data/Binary/Get/Internal.o : libraries/base/dist-install/build/Control/Monad/Fail.hi
libraries/binary/dist-install/build/Data/Binary/Get/Internal.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/binary/dist-install/build/Data/Binary/Get/Internal.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/binary/dist-install/build/Data/Binary/Get/Internal.o : libraries/bytestring/dist-install/build/Data/ByteString/Unsafe.hi
libraries/binary/dist-install/build/Data/Binary/Get/Internal.o : libraries/bytestring/dist-install/build/Data/ByteString.hi
libraries/binary/dist-install/build/Data/Binary/Get/Internal.o : libraries/base/dist-install/build/Foreign.hi
libraries/binary/dist-install/build/Data/Binary/Get.o : libraries/binary/src/Data/Binary/Get.hs
$(eval $(call hi-rule,libraries/binary/dist-install/build/Data/Binary/Get.hi  : %hi: %o  libraries/binary/src/Data/Binary/Get.hs))
libraries/binary/dist-install/build/Data/Binary/Get.o : libraries/base/dist-install/build/Prelude.hi
libraries/binary/dist-install/build/Data/Binary/Get.o : libraries/binary/dist-install/build/Data/Binary/FloatCast.hi
libraries/binary/dist-install/build/Data/Binary/Get.o : libraries/base/dist-install/build/GHC/Word.hi
libraries/binary/dist-install/build/Data/Binary/Get.o : libraries/base/dist-install/build/GHC/Base.hi
libraries/binary/dist-install/build/Data/Binary/Get.o : libraries/binary/dist-install/build/Data/Binary/Get/Internal.hi
libraries/binary/dist-install/build/Data/Binary/Get.o : libraries/binary/dist-install/build/Data/Binary/Get/Internal.hi
libraries/binary/dist-install/build/Data/Binary/Get.o : libraries/bytestring/dist-install/build/Data/ByteString/Lazy/Internal.hi
libraries/binary/dist-install/build/Data/Binary/Get.o : libraries/bytestring/dist-install/build/Data/ByteString/Lazy.hi
libraries/binary/dist-install/build/Data/Binary/Get.o : libraries/bytestring/dist-install/build/Data/ByteString/Unsafe.hi
libraries/binary/dist-install/build/Data/Binary/Get.o : libraries/bytestring/dist-install/build/Data/ByteString.hi
libraries/binary/dist-install/build/Data/Binary/Get.o : libraries/base/dist-install/build/Foreign.hi
libraries/binary/dist-install/build/Data/Binary/Put.o : libraries/binary/src/Data/Binary/Put.hs
$(eval $(call hi-rule,libraries/binary/dist-install/build/Data/Binary/Put.hi  : %hi: %o  libraries/binary/src/Data/Binary/Put.hs))
libraries/binary/dist-install/build/Data/Binary/Put.o : libraries/binary/dist-install/build/Data/Binary/FloatCast.hi
libraries/binary/dist-install/build/Data/Binary/Put.o : libraries/base/dist-install/build/Prelude.hi
libraries/binary/dist-install/build/Data/Binary/Put.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/binary/dist-install/build/Data/Binary/Put.o : libraries/base/dist-install/build/Data/Semigroup.hi
libraries/binary/dist-install/build/Data/Binary/Put.o : libraries/bytestring/dist-install/build/Data/ByteString/Short.hi
libraries/binary/dist-install/build/Data/Binary/Put.o : libraries/bytestring/dist-install/build/Data/ByteString/Lazy.hi
libraries/binary/dist-install/build/Data/Binary/Put.o : libraries/bytestring/dist-install/build/Data/ByteString.hi
libraries/binary/dist-install/build/Data/Binary/Put.o : libraries/base/dist-install/build/Data/Word.hi
libraries/binary/dist-install/build/Data/Binary/Put.o : libraries/base/dist-install/build/Data/Int.hi
libraries/binary/dist-install/build/Data/Binary/Put.o : libraries/binary/dist-install/build/Data/Binary/Builder.hi
libraries/binary/dist-install/build/Data/Binary/Put.o : libraries/binary/dist-install/build/Data/Binary/Builder.hi
libraries/binary/dist-install/build/Data/Binary/Put.o : libraries/base/dist-install/build/Data/Monoid.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/binary/src/Data/Binary/Class.hs
$(eval $(call hi-rule,libraries/binary/dist-install/build/Data/Binary/Class.hi  : %hi: %o  libraries/binary/src/Data/Binary/Class.hs))
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Prelude.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/Version.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/GHC/Fingerprint.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/Foldable.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/containers/dist-install/build/Data/Sequence.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/Fixed.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Numeric/Natural.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/GHC/Generics.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/array/dist-install/build/Data/Array/Unboxed.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/containers/dist-install/build/Data/Tree.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/Ratio.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/containers/dist-install/build/Data/IntSet.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/containers/dist-install/build/Data/IntMap.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/containers/dist-install/build/Data/Set.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/containers/dist-install/build/Data/Map.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/bytestring/dist-install/build/Data/ByteString/Short.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/bytestring/dist-install/build/Data/ByteString.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/Kind.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Type/Reflection/Unsafe.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Type/Reflection.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/List.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/bytestring/dist-install/build/Data/ByteString/Builder/Prim.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/bytestring/dist-install/build/Data/ByteString/Lazy.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/bytestring/dist-install/build/Data/ByteString/Lazy.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/Semigroup.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/List/NonEmpty.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/Functor/Identity.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/Monoid.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/Monoid.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/binary/dist-install/build/Data/Binary/Get.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/binary/dist-install/build/Data/Binary/Put.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/Void.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/Complex.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/Int.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/binary/dist-install/build/Data/Binary/Class.o : libraries/base/dist-install/build/Data/Word.hi
libraries/binary/dist-install/build/Data/Binary/Generic.o : libraries/binary/src/Data/Binary/Generic.hs
$(eval $(call hi-rule,libraries/binary/dist-install/build/Data/Binary/Generic.hi  : %hi: %o  libraries/binary/src/Data/Binary/Generic.hs))
libraries/binary/dist-install/build/Data/Binary/Generic.o : libraries/base/dist-install/build/Prelude.hi
libraries/binary/dist-install/build/Data/Binary/Generic.o : libraries/base/dist-install/build/GHC/Generics.hi
libraries/binary/dist-install/build/Data/Binary/Generic.o : libraries/base/dist-install/build/Data/Kind.hi
libraries/binary/dist-install/build/Data/Binary/Generic.o : libraries/base/dist-install/build/Data/Monoid.hi
libraries/binary/dist-install/build/Data/Binary/Generic.o : libraries/base/dist-install/build/Data/Word.hi
libraries/binary/dist-install/build/Data/Binary/Generic.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/binary/dist-install/build/Data/Binary/Generic.o : libraries/binary/dist-install/build/Data/Binary/Put.hi
libraries/binary/dist-install/build/Data/Binary/Generic.o : libraries/binary/dist-install/build/Data/Binary/Get.hi
libraries/binary/dist-install/build/Data/Binary/Generic.o : libraries/binary/dist-install/build/Data/Binary/Class.hi
libraries/binary/dist-install/build/Data/Binary/Generic.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/binary/dist-install/build/Data/Binary.o : libraries/binary/src/Data/Binary.hs
$(eval $(call hi-rule,libraries/binary/dist-install/build/Data/Binary.hi  : %hi: %o  libraries/binary/src/Data/Binary.hs))
libraries/binary/dist-install/build/Data/Binary.o : libraries/base/dist-install/build/Prelude.hi
libraries/binary/dist-install/build/Data/Binary.o : libraries/base/dist-install/build/System/IO.hi
libraries/binary/dist-install/build/Data/Binary.o : libraries/bytestring/dist-install/build/Data/ByteString/Lazy/Internal.hi
libraries/binary/dist-install/build/Data/Binary.o : libraries/bytestring/dist-install/build/Data/ByteString/Lazy.hi
libraries/binary/dist-install/build/Data/Binary.o : libraries/bytestring/dist-install/build/Data/ByteString/Lazy.hi
libraries/binary/dist-install/build/Data/Binary.o : libraries/bytestring/dist-install/build/Data/ByteString.hi
libraries/binary/dist-install/build/Data/Binary.o : libraries/binary/dist-install/build/Data/Binary/Generic.hi
libraries/binary/dist-install/build/Data/Binary.o : libraries/binary/dist-install/build/Data/Binary/Get.hi
libraries/binary/dist-install/build/Data/Binary.o : libraries/binary/dist-install/build/Data/Binary/Put.hi
libraries/binary/dist-install/build/Data/Binary.o : libraries/binary/dist-install/build/Data/Binary/Class.hi
libraries/binary/dist-install/build/Data/Binary.o : libraries/base/dist-install/build/Data/Word.hi
# DO NOT DELETE: End of Haskell dependencies
libraries/binary_dist-install_depfile_haskell_EXISTS = YES
